aboutsummaryrefslogtreecommitdiffstats
path: root/V0_8_1mdk/del-shell
diff options
context:
space:
mode:
authorOlivier Thauvin <nanardon@mandriva.org>2006-06-29 21:32:55 +0000
committerOlivier Thauvin <nanardon@mandriva.org>2006-06-29 21:32:55 +0000
commit165655f8c674de00bcf68aae888069e290d06d2c (patch)
treea4d035b5fa607e829c813a4642e39058adfb6b42 /V0_8_1mdk/del-shell
parent9a99c16f865d31d5f6f148086204d7d0ad7331bc (diff)
downloadrpm-helper-0.1.tar
rpm-helper-0.1.tar.gz
rpm-helper-0.1.tar.bz2
rpm-helper-0.1.tar.xz
rpm-helper-0.1.zip
- branch cleanup0.1
Diffstat (limited to 'V0_8_1mdk/del-shell')
-rwxr-xr-xV0_8_1mdk/del-shell37
1 files changed, 37 insertions, 0 deletions
diff --git a/V0_8_1mdk/del-shell b/V0_8_1mdk/del-shell
new file mode 100755
index 0000000..ab9aff7
--- /dev/null
+++ b/V0_8_1mdk/del-shell
@@ -0,0 +1,37 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandrake Linux
+# Module : rpm-helper
+# File : del-shell
+# Version : $Id$
+# Author : Thierry Vignaud
+# Created On : Tue Nov 5 13:52:20 2002
+# Purpose : helper script for rpm scriptlets to remove a
+# shell from /etc/shells.
+#---------------------------------------------------------------
+
+if [ $# != 3 ]; then
+ echo "usage: $0 <pkg name> <number installed> <shell name>" 1>&2
+ exit 1
+fi
+
+pkg=$1 # name of the package
+num=$2 # number of packages installed
+shl=$3 # name of the shell
+
+CFG_FILE=/etc/shells
+
+# Create $CFG_FILE if needed
+if [ ! -f $CFG_FILE ]; then
+ > $CFG_FILE
+ exit 0
+fi
+
+if [ "$num" = 0 ]; then
+ if [ ! -x $shl ]; then
+ grep -v "^$shl$" < $CFG_FILE > $CFG_FILE.new
+ mv -f $CFG_FILE.new $CFG_FILE
+ fi
+fi
+
+exit 0 \ No newline at end of file